Please ensure Javascript is enabled for purposes of website accessibility
Powered by Zoomin Software. For more details please contactZoomin

CONNECT EAP

Entities API

  • Last UpdatedOct 02, 2026
  • 1 minute read

The Entity Management API allows the creation, management, and querying of entities and components. For information about entity properties and relationships, refer to Entities model.

Entities support two kinds of properties and relationships:

  • Untyped collections, called ad hoc properties and relationships, that are organized separately from components at the root of the entity. An entity includes one collection of ad hoc properties and one collection of ad hoc relationships.

  • Strongly-typed collections of properties and relationships, called components, that are based on a type. An entity can include multiple components, but at most one component per type. You create and manage types using the Type Management service.

Simple entity request example (ad hoc)

Note: Updating an entity's ad hoc properties or relationships via the /entities/{entityId} endpoint does not affect its component data.

PUT /v2/entities/pump-0001

{

"id": "pump-0001",

"name": "Pump 0001",

"properties": [

{

"id": "ImpellerDiameter",

"name": "Impeller Diameter",

"typeCode": "Double",

"value": 56.5,

"uom": "millimeter"

},

{

"id": "Manufacturer",

"typeCode": "string",

"value": "Acme Co."

}

],

"relationships": [

{

"id": "FlowDiagnostics",

"name": "Flow Diagnostics",

"targets": [

{

"id": "pump-001-diagnostics",

"targetBase": "Stream",

"relationshipType": "Related"

}

]

}

]

}

Simple entity response example

{

"id": "pump-0001",

"name": "Pump 0001",

"description": "",

"classId": 0,

"className": "Unassigned",

"createdDate": "2026-08-18T15:59:00.7480848Z",

"createdBy": "6fd1d111-3cc6-4171-8090-e9288ae3d735",

"modifiedDate": "2026-08-18T15:59:00.7480848Z",

"modifiedBy": "6fd1d111-3cc6-4171-8090-e9288ae3d735",

"properties": [

{

"id": "ImpellerDiameter",

"name": "Impeller Diameter",

"value": 56.5,

"typeCode": "Double",

"uom": "millimeter"

},

{

"id": "Manufacturer",

"value": "Acme Co.",

"typeCode": "String"

}

],

"relationships": [

{

"id": "FlowDiagnostics",

"name": "Flow Diagnostics",

"targets": [

{

"id": "pump-001-diagnostics",

"targetBase": "Stream",

"relationshipType": "Related"

}

]

}

],

"aliases": [],

"securityTags": [],

"errors": []

}

In This Topic
Related Links